summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorV3n3RiX <venerix@koprulu.sector>2024-03-24 01:01:06 +0000
committerV3n3RiX <venerix@koprulu.sector>2024-03-24 01:01:06 +0000
commitf52562a45d967e193210737b55de5f0ff9018b76 (patch)
tree909caa133f3a538fde8ed9dfd9efa42a2c7a0507 /eclass
parent36fc50e36ed1a4686bb7202aeaff3170b2206124 (diff)
gentoo auto-resync : 24:03:2024 - 01:01:06
Diffstat (limited to 'eclass')
-rw-r--r--eclass/Manifest.gzbin39611 -> 39613 bytes
-rw-r--r--eclass/toolchain.eclass8
2 files changed, 5 insertions, 3 deletions
diff --git a/eclass/Manifest.gz b/eclass/Manifest.gz
index 4f9c5d16412e..343d6075e93c 100644
--- a/eclass/Manifest.gz
+++ b/eclass/Manifest.gz
Binary files differ
diff --git a/eclass/toolchain.eclass b/eclass/toolchain.eclass
index cd63712b1f24..03e6a5d987d1 100644
--- a/eclass/toolchain.eclass
+++ b/eclass/toolchain.eclass
@@ -1616,10 +1616,11 @@ gcc_do_filter_flags() {
[[ -z ${x} || ${x} -gt 64 ]] && break
l1_cache_size=$(taskset --cpu-list ${x} $(tc-getCC) -Q --help=params -O2 -march=native \
| awk '{ if ($1 ~ /^.*param.*l1-cache-size/) print $2; }' || die)
+ [[ -n ${l1_cache_size} && ${l1_cache_size} =~ "^[0-9]+$" ]] || break
l1_cache_sizes[${l1_cache_size}]=1
done
# If any of them are different, just pick the first one.
- if [[ ${#l1_cache_sizes} != 1 ]] ; then
+ if [[ ${#l1_cache_sizes} -gt 1 ]] ; then
append-flags --param=l1-cache-size=${l1_cache_size}
fi
fi
@@ -2089,8 +2090,9 @@ toolchain_src_install() {
docompress "${DATAPATH}"/{info,man}
- # Prune empty dirs left behind
- find "${ED}" -depth -type d -delete 2>/dev/null || die
+ # Prune empty dirs left behind. It's fine not to die here as we may
+ # really have no empty dirs left.
+ find "${ED}" -depth -type d -delete 2>/dev/null
# libstdc++.la: Delete as it doesn't add anything useful: g++ itself
# handles linkage correctly in the dynamic & static case. It also just